/* Sistemas Integrados TECNISA
   Planejamento Alimentao Industrial

Nome: REQUISICAO_POR_SERVICO_PLA

Descrio:                                                                 
Clculo do Consumo Planejado (Cardpio, Consumo por Servio Fixo ou        
Percapita) atravs da stored procedure CONSUMO_PLANEJADO e gravao na     
tabela PREVRETI.                                                           

P_CDFILIAL     - Codigo da Filial                                          
P_SERVICOS     - String contendo sequencia de Servios a serem calculados  
P_DTINICIAL    - Data inicial                                              
P_DTFINAL      - Data final                                                
P_PEACRESCIMO  - Percentual de acrscimo                                   
P_CDOPERADOR   - Cdigo do operador que solicitou o clculo                
P_DTHRCALCPR   - Data/hora do clculo
P_NRCONSPLAN   - Nmero sequencial a ser utilizado para gravao dos dados
P_STDTINICIAL  - Lista de data inicial em string por servio
P_STDTFINAL    - Lista de data final em string por servio

Criao:
22/01/99 - Ederson

*/

IF EXISTS(SELECT name FROM sysobjects
          WHERE name = 'REQUISICAO_POR_SERVICO_PLA' AND type = 'P')
  DROP PROCEDURE REQUISICAO_POR_SERVICO_PLA
  GO

CREATE PROCEDURE REQUISICAO_POR_SERVICO_PLA
  (@P_CDFILIAL     VARCHAR(4),
   @P_SERVICOS     VARCHAR(2000),
   @P_DTINICIAL    DATETIME,
   @P_DTFINAL      DATETIME,
   @P_PEACRESCIMO  NUMERIC(15,6),
   @P_CDOPERADOR   VARCHAR(12),
   @P_DTHRCALCPR   DATETIME,
   @P_NRCONSPLAN   VARCHAR(10),
   @P_STDTINICIAL  VARCHAR(2000),
   @P_STDTFINAL    VARCHAR(2000),
   @P_IDARREDOND   VARCHAR(1),
   @P_IDPRODUTOS   VARCHAR(3)
  )
AS

   DECLARE @V_CDSERVFILI   VARCHAR(5);

BEGIN

   /* REGISTRA O CALCULO NA TABELA DE LOG */

   DECLARE C_SERVICOS CURSOR FOR
   SELECT
      CDSERVFILI
   FROM
      SERVICO
   WHERE
      (CDFILIAL = @P_CDFILIAL) AND
      (CHARINDEX(CDSERVFILI, @P_SERVICOS) > 0 OR @P_SERVICOS = 'T');

   OPEN C_SERVICOS;

   FETCH NEXT FROM C_SERVICOS INTO @V_CDSERVFILI;

   WHILE (@@FETCH_STATUS = 0)
   BEGIN

      INSERT INTO LOGPREVRETI
        (CDFILIAL,
         CDOPERADOR,
         DTHRCALCPR,
         NRCONSPLANPR,
         CDSERVFILI,
         DTINICIALPR,
         DTFINALPR,
         CDPRODINICPR,
         CDPRODFINAPR,
         PEACRESCIMPR)
      VALUES
        (@P_CDFILIAL,
         @P_CDOPERADOR,
         @P_DTHRCALCPR,
         @P_NRCONSPLAN,
         @V_CDSERVFILI,
         @P_DTINICIAL,
         @P_DTFINAL,
         ' ',
         ' ',
         @P_PEACRESCIMO);

      FETCH NEXT FROM C_SERVICOS INTO @V_CDSERVFILI;
   END; /* LOOP DOS SERVIOS */

   CLOSE C_SERVICOS;
   DEALLOCATE C_SERVICOS;

   EXEC CONSUMO_PLANEJADO_PLA @P_CDFILIAL,
                              @P_SERVICOS,
                              @P_DTINICIAL,
                              @P_DTFINAL,
                              'A',
                              @P_IDPRODUTOS,
                              'P',
                              @P_PEACRESCIMO,
                              @P_IDARREDOND,
                              @P_NRCONSPLAN,
                              ' ',
                              'zzzzzzzzzz',
                              @P_CDOPERADOR,
                              NULL,
                              NULL;

END;
GO


-- VERSAO --
EXEC ATUVEROBJ 'REQUISICAO_POR_SERVICO_PLA','4.07.017';
GO

